pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS > Class Template Reference

Holds a set of two-dimensional multi-channel data. More...

`#include <pcl/ml/multi_channel_2d_data_set.h>`

## Public Member Functions

| MultiChannel2DDataSet ()
| Constructor. More...
virtual | ~MultiChannel2DDataSet ()
| Destructor. More...
void | addData (const size_t width, const size_t height)
| Adds a new two-dimensional data block to the data set. More...
void | releaseDataSet ()
| Releases the data stored in the data set. More...
void | clear ()
| Releases the data stored in the data set. More...
DATA_TYPE * | operator() (const size_t data_set_id, const size_t col, const size_t row)
| Returns a pointer to the specified data block at the specified location. More...
const DATA_TYPE * | operator() (const size_t data_set_id, const size_t col, const size_t row) const
| Returns a pointer to the specified data block at the specified location. More...
DATA_TYPE & | operator() (const size_t data_set_id, const size_t col, const size_t row, const size_t channel)
| Returns a reference to the specified data block at the specified location. More...
const DATA_TYPE & | operator() (const size_t data_set_id, const size_t col, const size_t row, const size_t channel) const
| Returns a reference to the specified data block at the specified location. More...

## Detailed Description

### template<class DATA_TYPE, size_t NUM_OF_CHANNELS>
class pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >

Holds a set of two-dimensional multi-channel data.

Definition at line 138 of file multi_channel_2d_data_set.h.

## Constructor & Destructor Documentation

## MultiChannel2DDataSet()

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::MultiChannel2DDataSet | ( |  | ) |

inline

Constructor.

Definition at line 143 of file multi_channel_2d_data_set.h.

## ~MultiChannel2DDataSet()

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

virtual pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::~MultiChannel2DDataSet | ( |  | ) |

inline virtual

Destructor.

Definition at line 145 of file multi_channel_2d_data_set.h.

## Member Function Documentation

## addData()

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::addData | ( | const size_t | width,
|  | const size_t | height
| ) |  |

inline

Adds a new two-dimensional data block to the data set.

Parameters

  [in] | width | The width of the new data block.
  [in] | height | The height of the new data block.

Definition at line 152 of file multi_channel_2d_data_set.h.

References pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::resize().

## clear()

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::clear | ( |  | ) |

inline

Releases the data stored in the data set.

Definition at line 172 of file multi_channel_2d_data_set.h.

## operator()() [1/4]

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

DATA_TYPE* pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const size_t | data_set_id,
|  | const size_t | col,
|  | const size_t | row
| ) |  |

inline

Returns a pointer to the specified data block at the specified location.

Parameters

  [in] | data_set_id | The index of the data block.
  [in] | col | The column of the desired location.
  [in] | row | The row of the desired location.

Definition at line 183 of file multi_channel_2d_data_set.h.

## operator()() [2/4]

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

const DATA_TYPE* pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const size_t | data_set_id,
|  | const size_t | col,
|  | const size_t | row
| ) |  | const

inline

Returns a pointer to the specified data block at the specified location.

Parameters

  [in] | data_set_id | The index of the data block.
  [in] | col | The column of the desired location.
  [in] | row | The row of the desired location.

Definition at line 194 of file multi_channel_2d_data_set.h.

## operator()() [3/4]

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

DATA_TYPE& pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const size_t | data_set_id,
|  | const size_t | col,
|  | const size_t | row,
|  | const size_t | channel
| ) |  |

inline

Returns a reference to the specified data block at the specified location.

Parameters

  [in] | data_set_id | The index of the data block.
  [in] | col | The column of the desired location.
  [in] | row | The row of the desired location.
  [in] | channel | The channel index.

Definition at line 206 of file multi_channel_2d_data_set.h.

## operator()() [4/4]

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

const DATA_TYPE& pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const size_t | data_set_id,
|  | const size_t | col,
|  | const size_t | row,
|  | const size_t | channel
| ) |  | const

inline

Returns a reference to the specified data block at the specified location.

Parameters

  [in] | data_set_id | The index of the data block.
  [in] | col | The column of the desired location.
  [in] | row | The row of the desired location.
  [in] | channel | The channel index.

Definition at line 218 of file multi_channel_2d_data_set.h.

## releaseDataSet()

template<class DATA_TYPE, size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::releaseDataSet | ( |  | ) |

inline

Releases the data stored in the data set.

Definition at line 162 of file multi_channel_2d_data_set.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/ml/include/pcl/ml/multi_channel_2d_data_set.h